List UAC connections
Returns a list of your UAC connections. A UAC (User Agent Client) Connection registers Telnyx to your PBX — the opposite of a standard SIP trunk, where the PBX registers to Telnyx. Use UAC when your PBX doesn’t support outbound SIP registration or you need Telnyx to maintain the registration.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const uacConnectionListResponse of client.uacConnections.list()) {
console.log(uacConnectionListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.uac_connections.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.UacConnections.List(context.TODO(), telnyx.UacConnectionListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.uacconnections.UacConnectionListPage;
import com.telnyx.sdk.models.uacconnections.UacConnectionListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UacConnectionListPage page = client.uacConnections().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.uac_connections.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->uacConnections->list(
filter: [
'connectionName' => ['contains' => 'contains'],
'fqdn' => 'fqdn',
'outboundVoiceProfileID' => '1293384261075731499',
],
pageNumber: 0,
pageSize: 0,
sort: 'connection_name',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx uac-connections list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/uac_connections \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "uac_connection",
"active": true,
"user_name": "myusername123",
"password": "my123secure456password789",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"anchorsite_override": "Latency",
"connection_name": "string",
"sip_uri_calling_preference": "disabled",
"default_on_hold_comfort_noise_enabled": true,
"dtmf_type": "RFC 2833",
"encode_contact_header_enabled": true,
"encrypted_media": "SRTP",
"onnet_t38_passthrough_enabled": true,
"ios_push_credential_id": "ec0c8e5d-439e-4620-a0c1-9d9c8d02a836",
"android_push_credential_id": "06b09dfd-7154-4980-8b75-cebf7a9d4f8e",
"webhook_event_url": "https://example.com",
"webhook_event_failover_url": "https://failover.example.com",
"webhook_api_version": "1",
"call_cost_in_webhooks": false,
"webhook_timeout_secs": 25,
"tags": [
"tag1",
"tag2"
],
"rtcp_settings": {
"port": "rtp+1",
"capture_enabled": true,
"report_frequency_secs": 10
},
"inbound": {
"ani_number_format": "+E.164",
"dnis_number_format": "+e164",
"codecs": [
"G722"
],
"channel_limit": 10,
"generate_ringback_tone": true,
"isup_headers_enabled": true,
"prack_enabled": true,
"sip_compact_headers_enabled": true,
"timeout_1xx_secs": 10,
"timeout_2xx_secs": 15,
"shaken_stir_enabled": true,
"simultaneous_ringing": "enabled"
},
"outbound": {
"call_parking_enabled": true,
"ani_override": "string",
"ani_override_type": "always",
"channel_limit": 10,
"instant_ringback_enabled": true,
"generate_ringback_tone": true,
"localization": "string",
"t38_reinvite_source": "customer",
"outbound_voice_profile_id": "1293384261075731499"
},
"noise_suppression": "both",
"noise_suppression_details": {
"engine": "deep_filter_net",
"attenuation_limit": 80
},
"jitter_buffer": {
"enable_jitter_buffer": true,
"jitterbuffer_msec_min": 60,
"jitterbuffer_msec_max": 200
},
"authentication": "uac-authentication",
"registration_status": "Registered",
"registration_status_updated_at": "2018-02-02T22:25:27.521Z",
"fqdn": "abc123def456.uac.telnyx.com",
"fqdns": [
{
"id": "1293384261075731499",
"record_type": "fqdn",
"connection_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"fqdn": "abc123def456.uac.telnyx.com",
"port": 5060,
"dns_record_type": "srv",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"fqdn_outbound_authentication": "credential-authentication",
"internal_uac_settings": {
"destination_uri": "14155550123@acme.sip.telnyx.com"
},
"external_uac_settings": {
"username": "ext8492",
"password": "testtesttest",
"proxy": "sip-pbx.acme.example",
"auth_username": "auth8492",
"from_user": "8492",
"outbound_proxy": "outbound.sip-pbx.acme.example:5061",
"expiration_sec": 600,
"transport": "TLS"
}
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "The request failed because it was not well-formed.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not understand the provided credentials.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "10010",
"title": "Not authorized",
"detail": "You are not authorized to access the requested resource.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10010"
},
"source": {
"pointer": "/"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated filter parameter (deepObject style). Originally: filter[connection_name], filter[fqdn], filter[outbound_voice_profile_id], filter[outbound.outbound_voice_profile_id]
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Specifies the sort order for results. By default sorting direction is ascending. To have the results sorted in descending order add the - prefix.
That is:
-
connection_name: sorts the result by theconnection_namefield in ascending order. -
-connection_name: sorts the result by theconnection_namefield in descending order.
If not given, results are sorted by
created_at in descending order.created_at, connection_name, active "connection_name"
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const uacConnectionListResponse of client.uacConnections.list()) {
console.log(uacConnectionListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.uac_connections.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.UacConnections.List(context.TODO(), telnyx.UacConnectionListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.uacconnections.UacConnectionListPage;
import com.telnyx.sdk.models.uacconnections.UacConnectionListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UacConnectionListPage page = client.uacConnections().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.uac_connections.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->uacConnections->list(
filter: [
'connectionName' => ['contains' => 'contains'],
'fqdn' => 'fqdn',
'outboundVoiceProfileID' => '1293384261075731499',
],
pageNumber: 0,
pageSize: 0,
sort: 'connection_name',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx uac-connections list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/uac_connections \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "uac_connection",
"active": true,
"user_name": "myusername123",
"password": "my123secure456password789",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"anchorsite_override": "Latency",
"connection_name": "string",
"sip_uri_calling_preference": "disabled",
"default_on_hold_comfort_noise_enabled": true,
"dtmf_type": "RFC 2833",
"encode_contact_header_enabled": true,
"encrypted_media": "SRTP",
"onnet_t38_passthrough_enabled": true,
"ios_push_credential_id": "ec0c8e5d-439e-4620-a0c1-9d9c8d02a836",
"android_push_credential_id": "06b09dfd-7154-4980-8b75-cebf7a9d4f8e",
"webhook_event_url": "https://example.com",
"webhook_event_failover_url": "https://failover.example.com",
"webhook_api_version": "1",
"call_cost_in_webhooks": false,
"webhook_timeout_secs": 25,
"tags": [
"tag1",
"tag2"
],
"rtcp_settings": {
"port": "rtp+1",
"capture_enabled": true,
"report_frequency_secs": 10
},
"inbound": {
"ani_number_format": "+E.164",
"dnis_number_format": "+e164",
"codecs": [
"G722"
],
"channel_limit": 10,
"generate_ringback_tone": true,
"isup_headers_enabled": true,
"prack_enabled": true,
"sip_compact_headers_enabled": true,
"timeout_1xx_secs": 10,
"timeout_2xx_secs": 15,
"shaken_stir_enabled": true,
"simultaneous_ringing": "enabled"
},
"outbound": {
"call_parking_enabled": true,
"ani_override": "string",
"ani_override_type": "always",
"channel_limit": 10,
"instant_ringback_enabled": true,
"generate_ringback_tone": true,
"localization": "string",
"t38_reinvite_source": "customer",
"outbound_voice_profile_id": "1293384261075731499"
},
"noise_suppression": "both",
"noise_suppression_details": {
"engine": "deep_filter_net",
"attenuation_limit": 80
},
"jitter_buffer": {
"enable_jitter_buffer": true,
"jitterbuffer_msec_min": 60,
"jitterbuffer_msec_max": 200
},
"authentication": "uac-authentication",
"registration_status": "Registered",
"registration_status_updated_at": "2018-02-02T22:25:27.521Z",
"fqdn": "abc123def456.uac.telnyx.com",
"fqdns": [
{
"id": "1293384261075731499",
"record_type": "fqdn",
"connection_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"fqdn": "abc123def456.uac.telnyx.com",
"port": 5060,
"dns_record_type": "srv",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"fqdn_outbound_authentication": "credential-authentication",
"internal_uac_settings": {
"destination_uri": "14155550123@acme.sip.telnyx.com"
},
"external_uac_settings": {
"username": "ext8492",
"password": "testtesttest",
"proxy": "sip-pbx.acme.example",
"auth_username": "auth8492",
"from_user": "8492",
"outbound_proxy": "outbound.sip-pbx.acme.example:5061",
"expiration_sec": 600,
"transport": "TLS"
}
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "The request failed because it was not well-formed.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not understand the provided credentials.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "10010",
"title": "Not authorized",
"detail": "You are not authorized to access the requested resource.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10010"
},
"source": {
"pointer": "/"
}
}
]
}